# POST /recraft/v1/styles

**Method**: `POST`
**Endpoint**: `/recraft/v1/styles`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters multipart/form-data

```text
files
array
[string]
Required
  // provider-specific example normalized for English documentation
style
string
Optional
  // provider-specific example normalized for English documentation
```

## Example Request

### Shell

```bash
curl --location --request POST '/recraft/v1/styles' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--form 'files=""' \
--form 'style=""'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "created": 1730460963,
    "image": {
        "url": "https://img.recraft.ai/Hd0nXiNUx00GL8PrXvVA6FlDrux_Z481xDF6wogOLXM/rs:fit:0:0:0/raw:1/plain/abs://external/images/77583162-700c-4bc3-af30-fd2ee2633db0"
    }
}
```
